ZeroconfTransportChannelFactory (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.transport.zeroconf.ZeroconfTransportChannelFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.transport.zeroconf
Class ZeroconfTransportChannelFactory

    java.lang.Object
      org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory
          org.codehaus.activemq.transport.DiscoveryTransportChannelFactorySupport
              org.codehaus.activemq.transport.zeroconf.ZeroconfTransportChannelFactory

All Implemented Interfaces:
  TransportChannelFactory

public class ZeroconfTransportChannelFactory
extends DiscoveryTransportChannelFactorySupport

Version:
  $Revision: 1.2 $

Constructor Summary
`ZeroconfTransportChannelFactory()`

Method Summary
`protected DiscoveryAgent` | `createDiscoveryAgent(URI remoteLocation)`

Methods inherited from class org.codehaus.activemq.transport.DiscoveryTransportChannelFactorySupport
`create, getDiscoveryAgent, setDiscoveryAgent`

Methods inherited from class org.codehaus.activemq.transport.composite.CompositeTransportChannelFactory
`create, parseURIs, randomizeURIs, requiresEmbeddedBroker, stripLeadingSlashes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZeroconfTransportChannelFactory

    public ZeroconfTransportChannelFactory()

Method Detail

### createDiscoveryAgent

    protected DiscoveryAgent createDiscoveryAgent(URI remoteLocation)

  Specified by:
    `createDiscoveryAgent` in class `DiscoveryTransportChannelFactorySupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.